OBRXMLWriter
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.osgi.obr.xml
Class OBRXMLWriter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.OBRXMLWriter

    public class OBRXMLWriter

extends java.lang.Object

Constructor Summary
`OBRXMLWriter()`

Method Summary
`static org.xml.sax.ContentHandler` | `newHandler(java.io.OutputStream out, java.lang.String encoding, boolean indent)`
`static void` | `writeBundles(java.util.Iterator it, org.xml.sax.ContentHandler handler)`
`static void` | `writeManifests(java.util.Iterator it, org.xml.sax.ContentHandler handler, boolean quiet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OBRXMLWriter

    public OBRXMLWriter()

Method Detail

### newHandler

    public static org.xml.sax.ContentHandler newHandler(java.io.OutputStream out,
                                                        java.lang.String encoding,
                                                        boolean indent)
                                                 throws javax.xml.transform.TransformerConfigurationException

  Throws:
    `javax.xml.transform.TransformerConfigurationException`

### writeManifests

    public static void writeManifests(java.util.Iterator it,
                                      org.xml.sax.ContentHandler handler,
                                      boolean quiet)
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### writeBundles

    public static void writeBundles(java.util.Iterator it,
                                    org.xml.sax.ContentHandler handler)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD